<!doctype html>
<html lang="fr">
	<head>
		<meta charset="utf-8">
		<meta http-equiv="X-UA-Compatible" content="IE=11" >
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
		<title>Transitionners</title>
	</head>
	<!-- <body oncontextmenu="return false;"> -->
	<body>

<div id="appFull">

	<canvas id="gameCanvas"></canvas>

	<div id="GUI">
		<div style="position: absolute; top: 50%; left: 50%; width: 1px; height: 1px; background-color: red;"></div>
		<div id="GUI-bg"></div>

		<div id="top-infos" class="panel panel-small">
			<div class="panel-content">
				<div class="info" info-type="hour">
					<img id="clock" src="./assets/GUI/clock.png"/>
					<img id="clock-frame" src="./assets/GUI/clock_frame.png"/>
				</div>
				<div class="info" info-type="year">
					<div class="info-label">Année </div>
					<div class="info-value"></div>
				</div>
				-
				<!-- <div class="info" info-type="time">
					<div class="info-value"></div>
				</div> -->
				<div class="info" info-type="dayMonth">
					<div class="info-value"></div>
				</div>
				<div class="info" info-type="season">
					(<div class="info-value"></div>)
				</div>
				<div class="info" info-type="coins">
					<div class="info-value"></div>
					<div class="info-label"><img src="./assets/GUI/coin.png"/></div>
				</div>
			</div>

			<div id="time-controls">
				<div class="panel panel-small selected" time-factor="1"><img src="./assets/GUI/time_x1.png" /></div>
				<div class="panel panel-small" time-factor="100"><img src="./assets/GUI/time_x10.png" /></div>
				<div class="panel panel-small" time-factor="5000"><img src="./assets/GUI/time_x100.png" /></div>
			</div>
		</div>

		<div id="sidePanel" class="collapsed">
			<div id="sidePanel-content-container" class="panel">
				<div class="sidePanel-content inventory">
					<div class="sidePanel-content-title">Inventaire</div>
					<div id="inventory-menu">
						<!-- Selector -->
						<div class="filter" filter-type="category"></div>
					</div>
					<div id="inventory-content">
						<!--<div class="panel slot slot-small panel-small storage-item" data-item-type="Graines" data-item="" data-number=""></div>-->
					</div>
				</div>
				<div class="sidePanel-content shop">
					<div class="sidePanel-content-title">Magasin</div>
					<div id="shop-menu">
						<!-- Selector -->
						<div class="filter" filter-type="category"></div>
					</div>
					<div id="shop-content">
						<!--<div class="panel slot slot-small panel-small storage-item" data-item-type="Graines" data-item="" data-number=""></div>-->
					</div>
				</div>
			</div>
			<div id="sidePanel-selecters">
				<div class="sidePanel-selecter inventory circle-btn" data-tab="inventory">
					<img src="assets/GUI/inventory_icon.png">
				</div>
				<div class="sidePanel-selecter shop circle-btn" data-tab="shop">
					<img src="assets/GUI/shop_icon.png">
				</div>
			</div>
		</div>
		
		<div id="hotbar">
			<div class="panel slot slot-small" slot-id="1"></div>
			<div class="panel slot slot-small" slot-id="2"></div>
			<div class="panel slot slot-small" slot-id="3"></div>
			<div class="panel slot slot-small" slot-id="4"></div>
			<div class="panel slot slot-small" slot-id="5"></div>
			<div class="panel slot slot-small" slot-id="6"></div>
			<div class="panel slot slot-small" slot-id="7"></div>
			<div class="panel slot slot-small" slot-id="8"></div>
			<div class="panel slot slot-small" slot-id="9"></div>
			<div class="panel slot slot-small" slot-id="10"></div>
			<div class="static-slots">
				<div class="slot circle-btn" slot-id="shoes">
					<img src="assets\items\deplacement\chaussures.png">
				</div>
				<div class="slot circle-btn" slot-id="hands">
					<img src="assets\items\tool\gants.png">
				</div>
				<div class="slot circle-btn" slot-id="observe">
					<img src="assets\items\tool\loupe.png">
				</div>
			</div>
		</div>


		<div id="item-modal" class="modal-container hidden">
			<div class="modal-background"></div>
			<div class="modal panel">
				<div class="modal-content">
					<div class="circle-btn small btn-close modal-close"></div>
					<div class="item-header">
						<div class="panel slot item-icon-slot"><img class="item-icon"/></div>
						<div class="item-base-info">
							<h2 class="item-name"></h2>
							<div class="item-quantity">Qté : <label></label></div>
						</div>
					</div>
					<div class="item-details plant">
						<div class="plant-seeding-season">Semis : <label></label></div>
						<div class="plant-repiquage-step">Repiquage : <label></label></div>
						<div class="plant-harvest-season">Récolte : <label></label></div>
						<div class="plant-description">Description : <label></label></div>
					</div>
					<div class="item-details tool">
						<div class="tool-description">Description : <label></label></div>
					</div>
					<div class="item-details structure">
						<div class="structure-size">Taille : <label></label></div>
						<div class="structure-description">Description : <label></label></div>
					</div>
					<div class="modal-buttons">
						<div class="btn panel move-item-btn"><div class="text-content">Prendre</div></div>
					</div>
				</div>
			</div>
		</div>

		<div id="plot-modal" class="modal-container hidden">
			<div class="modal-background"></div>
			<div class="modal">
				<div class="modal-content">
					<div class="panel slot-details hidden">
						<div class="panel-content">
							<div class="panel slot item-icon-slot"><img class="item-icon" /></div>
							<div class="item-info">
								<h2 class="item-name"></h2>
							</div>
						</div>
					</div><div class="panel plot-zoom">
						<div class="panel-content">
							<div class="circle-btn small btn-close modal-close"></div>
							<div class="plants"></div>
						</div>
					</div>
				</div>
			</div>
		</div>

		<div class="actions-modal modal-container hidden">
			<div class="modal panel panel-small">
				<div class="modal-content">
					<div class="modal-buttons">
						<div class="btn panel panel-small"><div class="text-content">Observer</div></div>
					</div>
				</div>
			</div>
		</div>

	</div>

	<div><div id="fps"></div></div>
</div>

<script type="text/javascript">
	// entry of scripts is in game/core/controllers/app.js
</script>

	</body>
</html>